Upstream information

CVE-2007-0653 at MITRE

Description

Integer overflow in X MultiMedia System (xmms) 1.2.10, and possibly other versions, allows user-assisted remote attackers to execute arbitrary code via crafted header information in a skin bitmap image, which triggers memory corruption.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 242997 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE LINUX 10.0
  • xmms >= 1.2.10-77.3
  • xmms-devel >= 1.2.10-77.3
  • xmms-lib >= 1.2.10-77.3
  • xmms-lib-32bit >= 1.2.10-77.3
  • xmms-lib-64bit >= 1.2.10-77.3
SUSE LINUX 10.1
  • xmms >= 1.2.10-103.8
  • xmms-devel >= 1.2.10-103.8
  • xmms-lib >= 1.2.10-103.8
  • xmms-lib-32bit >= 1.2.10-103.8
  • xmms-lib-64bit >= 1.2.10-103.8
SUSE LINUX 9.3
  • xmms >= 1.2.10-68.3
  • xmms-devel >= 1.2.10-68.3
  • xmms-lib >= 1.2.10-68.3
  • xmms-lib-32bit >= 9.3-0.1
SUSE LINUX Retail Solution 8
SuSE Linux Desktop 1.0
SuSE Linux Enterprise Server 8 for AMD64
SuSE Linux Enterprise Server 8 for IBM iSeries and IBM pSeries
SuSE Linux Enterprise Server 8 for IBM zSeries
SuSE Linux Enterprise Server 8 for IPF
SuSE Linux Openexchange Server 4
SuSE Linux School Server for i386
SuSE Linux Standard Server 8
UnitedLinux 1.0
  • xmms >= 1.2.7-667
ul1.s390
core9.s390
slrs8.x86
core9.x86
ZYPP Patch Nr: 3075
Novell Linux Desktop 9 for x86
  • xmms >= 1.2.10-44.6
ul1.s390
core9.s390
slrs8.x86
core9.x86
ZYPP Patch Nr: 3075
Novell Linux Desktop 9 for x86_64
  • xmms >= 1.2.10-44.6
  • xmms-32bit >= 9-200704052143
ul1.s390
core9.s390
slrs8.x86
core9.x86
ZYPP Patch Nr: 3075
Open Enterprise Server
  • xmms >= 1.2.10-44.6
  • xmms-devel >= 1.2.10-44.6
ul1.s390
core9.s390
slrs8.x86
core9.x86
ZYPP Patch Nr: 3075